<?php

/**
  * SquirrelMail Change User Password Plugin
  * @copyright 2012 The SquirrelMail Project Team
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  * @version $Id$
  * @package plugins
  * @subpackage change_user_passwd
  * @author Philippe-A. Bourdin, http://www.Bourdin.ch/Philippe/
  */


	define('SM_PATH', '../../');

	include_once(SM_PATH . 'include/validate.php');
	include_once(SM_PATH . 'functions/global.php');


	if (!isset($color) || !is_array($color)) {
		$color = array();
		$color[0]  = '#dcdcdc';  /* light gray    TitleBar               */
		$color[1]  = '#800000';  /* red                                  */
		$color[2]  = '#cc0000';  /* light red     Warning/Error Messages */
		$color[3]  = '#a0b8c8';
		$color[4]  = '#ffffff';  /* white         Normal Background      */
		$color[7]  = '#0000cc';  /* blue          Links                  */
		$color[8]  = '#000000';  /* black         Normal text            */
		$color[9]  = '#ababab';
	}
	if (!$color[17]) {
		$color[17] = '#ceddf2';  /* light blue    Login Background       */
	}

	displayPageHeader($color, 'None');

	sqGetGlobalVar('username', $username, SQ_SESSION);

?>
<br />
<form method="post" action="./change_user_passwd.php">
<table bgcolor="<?php echo $color[17] ?>" align="center" border="0" cellpadding="4" cellspacing="0">
  <tr>
    <td colspan="2" align="center" bgcolor="<?php echo $color[2] ?>"><b><?php echo _("Change Password"); ?></b></td>
  </tr>
  <tr>
    <td align="right"><?php echo _("Username:"); ?></td>
    <td><b><?php echo $username; ?></b></td>
  </tr>
  <tr>
    <td align="right"><?php echo _("Current Password:"); ?> </td>
    <td><input name="old_pass" size="20" type="password" maxlength="50"></td>
  </tr>
  <tr>
    <td align="right"><?php echo _("New Password:"); ?> </td>
    <td><input name="new_pass" size="20" type="password" maxlength="50"></td>
  </tr>
  <tr>
    <td align="right"><?php echo _("Verify New Password:"); ?> </td>
    <td><input name="new_copy" size="20" type="password" maxlength="50"></td>
  </tr>
  <tr>
    <td colspan="2" align="center"><input type="submit" value="<?php echo _("Change Password"); ?>"></td>
  </tr>
</table>
</form> 
</body>
</html>
