#!/usr/bin/perl
#
# Written by Philippe-A. Bourdin, http://www.Bourdin.ch/Philippe/
# Version 1.1, 4th August 2012

$UID = `whoami`;
$UID =~ s/\s+$//s;

$user = $ARGV[0];
$pass = $ARGV[1];
$new = $ARGV[2];

if ($user ne $UID) {
	print "E1\n";
	exit (0);
}

$pass =~ s/"/\\"/gs;
$new =~ s/"/\\"/gs;
$result = `echo -n "$pass\n$new\n$new\n" | passwd $user 2>&1`;

if ($result =~ /user .*? does not exist/is) {
	print "E3\n";
	exit (1);
}

if ($result =~ /password unchanged/is) {
	print "E2\n";
	exit (1);
}

if ($result =~ /You may not view or modify password information for/is) {
	print "E1\n";
	exit (1);
}

if ($result !~ /password updated successfully/is) {
	$result =~ s/^.*?passwd:\s*//is;
	$result =~ s/\n.*$//s;
	print $result."\n";
	exit (1);
}

print "OK\n";
exit (0);
