<?php

/**
  * SquirrelMail Change User Password Plugin
  * @copyright 2012 The SquirrelMail Project Team
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  * @version $Id$
  * @package plugins
  * @subpackage change_user_passwd
  * @author Philippe-A. Bourdin, http://www.Bourdin.ch/Philippe/
  */


/**
  * Add register to the options page
  *
  * @return void
  *
  */
function change_user_passwd_plugin_optpage_register_block_do() {

	global $optpage_blocks;

	if (!defined('SM_PATH')) define('SM_PATH', '../../');

	include_once(SM_PATH . 'include/validate.php');

	$optpage_blocks[] = array(
	    'name' => _("Change Password"),
	    'url'  => '../plugins/change_user_passwd/options.php',
	    'desc' => _("Use this to change your email password."),
	    'js'   => false
	);

}
